
use strict;
use warnings;

use Module::Build 0.3601;

my %module_build_args = (
                       'dist_abstract' => 'task to install dist-zilla and all its plugins',
                       'script_files' => [],
                       'license' => 'perl',
                       'build_requires' => {},
                       'dist_name' => 'Task-Dist-Zilla',
                       'dist_author' => [
                                          'Jerome Quelin'
                                        ],
                       'module_name' => 'Task::Dist::Zilla',
                       'requires' => {
                                       'Dist::Zilla::Plugin::PodTests' => '0',
                                       'Dist::Zilla::PluginBundle::RJBS' => '0',
                                       'Dist::Zilla::Plugin::PodPurler' => '0',
                                       'Dist::Zilla::Plugin::License' => '0',
                                       'Dist::Zilla::Plugin::PodVersion' => '0',
                                       'List::MoreUtils' => '0',
                                       'English' => '0',
                                       'Dist::Zilla::Plugin::Prereq' => '0',
                                       'Dist::Zilla::Plugin::TemplateCJM' => '0',
                                       'Dist::Zilla::Plugin::MakeMaker::SkipInstall' => '0',
                                       'Dist::Zilla::Plugin::PkgVersion' => '0',
                                       'Dist::Zilla::Plugin::Git::Tag' => '0',
                                       'Dist::Zilla::Plugin::TaskWeaver' => '0',
                                       'Dist::Zilla::Plugin::PodWeaver' => '0',
                                       'Dist::Zilla::Plugin::ModuleInstall' => '0',
                                       'Dist::Zilla::Plugin::PerlTidy' => '0',
                                       'Dist::Zilla::Plugin::MatchManifest' => '0',
                                       'File::Find' => '0',
                                       'Dist::Zilla::Plugin::CopyTo' => '0',
                                       'Dist::Zilla::Plugin::InstallDirs' => '0',
                                       'Dist::Zilla::Plugin::MetaProvides' => '0',
                                       'Dist::Zilla::Plugin::ExtraTests' => '0',
                                       'Dist::Zilla::Plugin::CompileTests' => '0',
                                       'Dist::Zilla::Plugin::CheckChangeLog' => '0',
                                       'Dist::Zilla::Plugin::NextRelease' => '0',
                                       'perl' => '5.008',
                                       'Dist::Zilla::PluginBundle::FAYLAND' => '0',
                                       'Dist::Zilla::Plugin::PruneCruft' => '0',
                                       'Dist::Zilla::PluginBundle::Git' => '0',
                                       'Dist::Zilla::Plugin::PruneFiles' => '0',
                                       'Dist::Zilla::Plugin::MetaProvides::Package' => '0',
                                       'Dist::Zilla::Plugin::ModuleBuild' => '0',
                                       'Dist::Zilla::Plugin::MetaProvides::Class' => '0',
                                       'Dist::Zilla::Plugin::AllFiles' => '0',
                                       'Dist::Zilla::PluginBundle::Filter' => '0',
                                       'Dist::Zilla::Plugin::GitVersionCheckCJM' => '0',
                                       'Dist::Zilla::Plugin::MetaResources' => '0',
                                       'Dist::Zilla::Plugin::AutoVersion::Relative' => '0',
                                       'DB_File' => '0',
                                       'Dist::Zilla::Plugin::Repository' => '0',
                                       'Dist::Zilla::PluginBundle::Classic' => '0',
                                       'Dist::Zilla::Plugin::Git::Commit' => '0',
                                       'Dist::Zilla::Plugin::BumpVersion' => '0',
                                       'Test::More' => '0',
                                       'Dist::Zilla::Plugin::UploadToCPAN' => '0',
                                       'Dist::Zilla::Plugin::Signature' => '0',
                                       'File::Temp' => '0',
                                       'Dist::Zilla::Plugin::MakeMaker' => '0',
                                       'Dist::Zilla::Plugin::VersionFromModule' => '0',
                                       'Dist::Zilla::PluginBundle::CJM' => '0',
                                       'Dist::Zilla::Plugin::ArchiveRelease' => '0',
                                       'Dist::Zilla::Plugin::Manifest' => '0',
                                       'Dist::Zilla::Plugin::Git::Check' => '0',
                                       'Dist::Zilla::Plugin::MetaYAML' => '0',
                                       'Dist::Zilla::Plugin::Readme' => '0',
                                       'Dist::Zilla::Plugin::Git::Push' => '0',
                                       'Dist::Zilla::Plugin::ReadmeFromPod' => '0',
                                       'Dist::Zilla::PluginBundle::JQUELIN' => '0',
                                       'Dist::Zilla::Plugin::MetaNoIndex' => '0',
                                       'Dist::Zilla::Plugin::CriticTests' => '0',
                                       'Dist::Zilla::Plugin::AutoVersion' => '0',
                                       'Dist::Zilla::Plugin::PodLoom' => '0',
                                       'Dist::Zilla::Plugin::InlineFiles' => '0',
                                       'Dist::Zilla::Plugin::Git' => '0',
                                       'Dist::Zilla::Plugin::Prepender' => '0',
                                       'Dist::Zilla::Plugin::ManifestSkip' => '0',
                                       'Dist::Zilla::Plugin::AutoPrereq' => '0',
                                       'Dist::Zilla::Plugin::MetaRecommends' => '0',
                                       'Dist::Zilla' => '0',
                                       'Dist::Zilla::Plugin::FakeRelease' => '0',
                                       'Dist::Zilla::Plugin::MetaJSON' => '0',
                                       'Dist::Zilla::Plugin::MetaProvides::FromFile' => '0',
                                       'Dist::Zilla::Plugin::MetaTests' => '0'
                                     },
                       'configure_requires' => {},
                       'dist_version' => '1.100690'
                     );


my $build = Module::Build->new(%module_build_args);

$build->create_build_script;
